# -------------------------------------------------
# Project created by QtCreator 2012-03-18T12:26:59
# -------------------------------------------------
QT += core \
    gui \
    network \
    xml
#   opengl

TARGET = F1LT
QMAKE_INSTALL_PROGRAM = install
QMAKE_INSTALL_FILE = install

#--------------------------------------------------------------
# installation prefixes
PREFIX = /opt/$$TARGET

#by default application data will be stored in /opt/F1LT/share
SHARE=$$PREFIX/share
#--------------------------------------------------------------

DEFINES += INSTALL_PREFIX=$$PREFIX
DEFINES += SHARE_PREFIX=$$SHARE

target.path = $$PREFIX/bin/
TEMPLATE = app

OBJECTS_DIR = obj/
MOC_DIR = moc/
UI_DIR = ui/

INSTALLS += target \
    DATA_FILES

DATA_FILES.files = season.dat trackdata.dat trackrecords.dat trackcoords.dat
DATA_FILES.path = $$SHARE

macx {
    ICON = icons/icon.icns
    APP_DATA_FILES.files = season.dat trackdata.dat trackrecords.dat trackcoords.dat
    APP_DATA_FILES.path = Contents/MacOS
    QMAKE_BUNDLE_DATA += APP_DATA_FILES
}

RC_FILE = f1lt.rc

DEFINES += QT_NO_DEBUG_OUTPUT
SOURCES += src/tools/sessionanalysiswidget.cpp \
    src/main_gui/weatherchartswidget.cpp \
    src/main_gui/nosessionboardwidget.cpp \
    src/main.cpp \
    src/main_gui/ltwindow.cpp \
    src/net/datastreamreader.cpp \
    src/net/httpdatareader.cpp \
    src/net/socketdatareader.cpp \
    src/main_gui/driverdatawidget.cpp \
    src/charts/chartwidget.cpp \
    src/main_gui/sessiondatawidget.cpp \
    src/tools/headtoheaddialog.cpp \
    src/core/driverdata.cpp \
    src/core/eventdata.cpp \
    src/player/eventrecorder.cpp \
    src/main_gui/preferencesdialog.cpp \
    src/main_gui/logindialog.cpp \
    src/player/eventplayer.cpp \
    src/tools/laptimecomparisondialog.cpp \
    src/core/f1ltcore.cpp \
    src/main_gui/eventstatuswidget.cpp \
    src/charts/sessionlaptimeschart.cpp \
    src/charts/fplaptimeschart.cpp \
    src/charts/lapcompchart.cpp \
    src/charts/weatherchart.cpp \
    src/core/lapdata.cpp \
    src/net/packetparser.cpp \
    src/main_gui/ltwidget.cpp \
    src/main_gui/models/ltmodel.cpp \
    src/main_gui/models/practicemodel.cpp \
    src/main_gui/lttableview.cpp \
    src/main_gui/models/qualimodel.cpp \
    src/main_gui/models/racemodel.cpp \
    src/main_gui/models/driverlaphistorymodel.cpp \
    src/main_gui/ltitemdelegate.cpp \
    src/main_gui/models/speedrecordsmodel.cpp \
    src/main_gui/models/fastestlapsmodel.cpp \
    src/main_gui/models/pitstopsmodel.cpp \
    src/core/seasondata.cpp \
    src/core/sessiontimer.cpp \
    src/net/ltfilesmanager.cpp \
    src/tools/ltfilesmanagerdialog.cpp \
    src/main_gui/aboutdialog.cpp \
    src/charts/driverdatachart.cpp \
    src/tools/followadriverdialog.cpp \
    src/tools/sessiontimeswidget.cpp \
    src/tools/drivertracker/driverradarpositioner.cpp \
    src/tools/drivertracker/drivertrackerpositioner.cpp \
    src/tools/drivertracker/drivertrackerwidget.cpp \
    src/tools/drivertracker/drivertrackerinfo.cpp \
    src/net/packetbuffer.cpp \
    src/main_gui/delaywidget.cpp \
    src/core/trackrecords.cpp \
    src/tools/trackrecordsdialog.cpp \
    src/tools/driverrecordsdialog.cpp \
    src/core/imagesfactory.cpp \
    src/main_gui/driverinfolabel.cpp \
    src/net/networksettings.cpp \
    src/main_gui/drivercolorsdialog.cpp \
    src/core/colorsmanager.cpp \
    src/core/sessiondefaults.cpp \
    src/core/trackmapscoordinates.cpp \
    src/player/ltfilesloader.cpp \
    src/main_gui/commentarywidget.cpp \
    src/main_gui/updatescheckerdialog.cpp \
    src/tools/drivertracker/driverclassification.cpp \
    src/tools/drivertracker/driverradararea.cpp \
    src/tools/drivertracker/drivertrackerarea.cpp \
    src/tools/drivertracker/drivertrackerscene.cpp \
    src/tools/drivertracker/driverradarscene.cpp \
    src/tools/drivertracker/drivertrackertimer.cpp \
    src/tools/drivertracker/driverradaritem.cpp \
    src/tools/drivertracker/drivertrackeritem.cpp \
    src/tools/drivertracker/drivertrackerscitem.cpp \
    src/core/timer.cpp \
    src/net/standingsmanager.cpp \
    src/main_gui/standingswidget.cpp \
    src/core/trackdatamanager.cpp \
    src/tools/drivertracker/driverradarwidget.cpp \
    src/tools/drivertracker/drivertracker.cpp \
    src/tools/performancecomparewidget.cpp \
    src/core/seasonxmlfilemanager.cpp


HEADERS += src/tools/sessionanalysiswidget.h \
    src/main_gui/weatherchartswidget.h \
    src/main_gui/nosessionboardwidget.h \
    src/main_gui/ltwindow.h \
    src/net/datastreamreader.h \
    src/net/httpdatareader.h \
    src/net/socketdatareader.h \
    src/main_gui/driverdatawidget.h \
    src/charts/chartwidget.h \
    src/main_gui/sessiondatawidget.h \
    src/tools/headtoheaddialog.h \
    src/core/driverdata.h \
    src/core/eventdata.h \
    src/player/eventrecorder.h \
    src/main_gui/preferencesdialog.h \
    src/main_gui/logindialog.h \
    src/player/eventplayer.h \
    src/tools/laptimecomparisondialog.h \
    src/core/f1ltcore.h \
    src/main_gui/eventstatuswidget.h \
    src/charts/sessionlaptimeschart.h \
    src/charts/fplaptimeschart.h \
    src/charts/lapcompchart.h \
    src/charts/weatherchart.h \
    src/core/lapdata.h \
    src/net/packetparser.h \
    src/main_gui/ltwidget.h \
    src/main_gui/models/ltmodel.h \
    src/main_gui/models/practicemodel.h \
    src/main_gui/lttableview.h \
    src/main_gui/models/qualimodel.h \
    src/main_gui/models/racemodel.h \
    src/main_gui/models/driverlaphistorymodel.h \
    src/main_gui/ltitemdelegate.h \
    src/main_gui/models/speedrecordsmodel.h \
    src/main_gui/models/fastestlapsmodel.h \
    src/main_gui/models/pitstopsmodel.h \
    src/core/seasondata.h \
    src/core/ltpackets.h \
    src/core/sessiontimer.h \
    src/net/ltfilesmanager.h \
    src/tools/ltfilesmanagerdialog.h \
    src/main_gui/aboutdialog.h \
    src/charts/driverdatachart.h \
    src/tools/followadriverdialog.h \
    src/tools/sessiontimeswidget.h \
    src/tools/drivertracker/driverradarpositioner.h \
    src/tools/drivertracker/drivertrackerpositioner.h \
    src/tools/drivertracker/drivertrackerwidget.h \
    src/tools/drivertracker/drivertrackerinfo.h \
    src/net/packetbuffer.h \
    src/main_gui/delaywidget.h \
    src/core/trackrecords.h \
    src/tools/trackrecordsdialog.h \
    src/tools/driverrecordsdialog.h \
    src/core/imagesfactory.h \
    src/main_gui/driverinfolabel.h \
    src/net/networksettings.h \
    src/main_gui/drivercolorsdialog.h \
    src/core/colorsmanager.h \
    src/core/sessiondefaults.h \
    src/core/trackmapscoordinates.h \
    src/player/ltfilesloader.h \
    src/main_gui/commentarywidget.h \
    src/main_gui/updatescheckerdialog.h \
    src/tools/drivertracker/driverclassification.h \
    src/tools/drivertracker/driverradarscene.h \
    src/tools/drivertracker/drivertrackerscene.h \
    src/tools/drivertracker/driverradararea.h \
    src/tools/drivertracker/drivertrackerarea.h \
    src/tools/drivertracker/drivertrackertimer.h \
    src/tools/drivertracker/driverradaritem.h \
    src/tools/drivertracker/drivertrackeritem.h \
    src/tools/drivertracker/drivertrackerscitem.h \
    src/core/timer.h \
    src/net/standingsmanager.h \
    src/main_gui/standingswidget.h \
    src/core/trackdatamanager.h \
    src/tools/drivertracker/driverradarwidget.h \
    src/tools/drivertracker/drivertracker.h \
    src/tools/performancecomparewidget.h \
    src/core/seasonxmlfilemanager.h


FORMS += ui/sessionanalysiswidget.ui \
    ui/weatherchartswidget.ui \
    ui/nosessionboardwidget.ui \
    ui/ltwindow.ui \
    ui/driverdatawidget.ui \
    ui/chartwidget.ui \
    ui/sessiondatawidget.ui \
    ui/headtoheaddialog.ui \
    ui/preferencesdialog.ui \
    ui/logindialog.ui \
    ui/eventplayer.ui \
    ui/laptimecomparisondialog.ui \
    ui/eventstatuswidget.ui \
    ui/ltwidget.ui \
    ui/ltfilesmanagerdialog.ui \
    ui/aboutdialog.ui \
    ui/followadriverdialog.ui \
    ui/sessiontimeswidget.ui \
    ui/drivertrackerwidget.ui \
    ui/delaywidget.ui \
    ui/trackrecordsdialog.ui \
    ui/driverrecordsdialog.ui \
    ui/drivercolorsdialog.ui \
    ui/commentarywidget.ui \
    ui/updatescheckerdialog.ui \
    ui/standingswidget.ui \
    ui/driverradarwidget.ui \
    ui/performancecomparewidget.ui
INCLUDEPATH += src/
RESOURCES += icons/icons.qrc \
    other_files.qrc

OTHER_FILES += \
    CHANGELOG \
    INSTALL
